package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.StTopBuyers;
import com.bcxin.ins.entity.tpost.TposRiskDuty;
import com.bcxin.ins.vo.RiskDutyVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;


public interface InsRiskDutyAPIService extends IService<TposRiskDuty> {
	
	public TposRiskDuty initInsRiskDuty(Long underwrite_id);
	
	public List<TposRiskDuty> selectInsRiskDutyByInsUnderwrite(Long oid);
	
	public List<RiskDutyVo> selectInsRiskDutyByInsUnderwriteDLLVO(Long oid);
	
	public void accordingToTheRiskDutyVoSetUpInsRiskDuty(RiskDutyVo vo, Long underwrite_id);
	
	public void setRiskDutyByRiskDutyVo(List<RiskDutyVo> voList, Long underwrite_id);
	
	public List<RiskDutyVo> getRiskDutyVoListByInsRiskDutyList(List<TposRiskDuty> irdList);
	
	public RiskDutyVo accordingToInsRiskDutyIntoRiskDutyVo(TposRiskDuty ird);
	
	public void accordingToInsTopBuyersListGainInsRiskDuty(List<StTopBuyers> tbList, Long underwrite_id, Long insProductsgg_id);

	public List<TposRiskDuty> findAllList();
}
